## org.omg.CORBA
Class FREE_MEM

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.FREE_MEM

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, java.io.Serializable

public class FREE_MEM
extends SystemException

The ORB failed in an attempt to free dynamic memory, for example because of heap corruption or memory segments being locked.

See Also:
  Serialized Form

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`FREE_MEM()`
`FREE_MEM(int minor, CompletionStatus completed)`
`FREE_MEM(java.lang.String orb_reason)`
`FREE_MEM(java.lang.String orb_reason, int minor, CompletionStatus completed)`

Methods inherited from class org.omg.CORBA.SystemException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FREE_MEM

    public FREE_MEM()

### FREE_MEM

    public FREE_MEM(java.lang.String orb_reason)

### FREE_MEM

    public FREE_MEM(int minor,
                    CompletionStatus completed)

### FREE_MEM

    public FREE_MEM(java.lang.String orb_reason,
                    int minor,
                    CompletionStatus completed)